// TestOMP3.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "omp.h"
#include "windows.h"
#include "math.h"

int _tmain(int argc, _TCHAR* argv[])
{
  const int i1 = 100000000;

  double dSum = 0.0;
  double y;

  unsigned int uiTime = GetTickCount();

#pragma omp parallel for reduction(+:dSum) num_threads(2)
  for(int i = 0; i < i1; i++)
  {
    y = sqrt((double) i);
    dSum += y;
  }

  uiTime = GetTickCount() - uiTime;
  printf("Zeit: %.3f sek\n", (double) uiTime / 1000.0);
  printf("Summe: %f\n", dSum);
}

